package com.zjrs.zwnw.rlzysc.util;


import org.mohrss.leaf.core.framework.util.CurrentUser;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.util.StringUtils;

public class UserUtil {

    private static final Logger LOG = LoggerFactory.getLogger(UserUtil.class);

    /**
     * 获取用户所属组织机构对应的行政区划
     *
     * @param currentUser
     * @return 用户所属组织机构行政区划前6位（不足6位后面补0）；组织机构未维护行政区划或者行政区划不是湛江时返回空；
     */
    public static String getBae001(CurrentUser currentUser) {
        String xzqh = currentUser.getDataarea();
        if (StringUtils.isEmpty(xzqh)) {
            LOG.info("用户组织机构尚未维护所属行政区划:" + currentUser.getUserid());
            return "";
        }
        if (xzqh.indexOf("4408") != 0) {
            return "";
        }

        if (xzqh.length() <= 6) {
            xzqh = xzqh + "00";
        }

        return xzqh.substring(0, 6);
    }
}
